> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available finance institutions (e.g. banks, mobile money providers)

> Retrieve information about available finance institutions (e.g. banks, mobile money providers) in a specific country for specified currency and payment method.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/deposits/institutions
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/deposits/institutions:
    get:
      tags:
        - Transaction / Deposits
      summary: Get available finance institutions (e.g. banks, mobile money providers)
      description: >-
        Retrieve information about available finance institutions (e.g. banks,
        mobile money providers) in a specific country for specified currency and
        payment method.
      operationId: DepositsController_getInstitutions
      parameters:
        - name: country
          required: true
          in: query
          description: >-
            The country code in ISO-3166-2 format. See [ISO-3166-2
            documentation](https://www.iso.org/iso-3166-country-codes.html).
          schema:
            $ref: '#/components/schemas/CountryCode'
        - name: fiat
          required: true
          in: query
          description: The fiat currency for the payment.
          schema:
            $ref: '#/components/schemas/FiatCurrencyId'
        - name: paymentMethod
          required: true
          in: query
          description: >-
            The method used to execute the payment instructions. Learn more at
            [Payment Instructions
            Guide](https://docs.buildborderless.com/docs/payment-instructions).
          schema:
            $ref: '#/components/schemas/PaymentMethod'
        - name: pfiName
          required: false
          in: query
          description: >-
            Specific PFI to use. If omitted, the organization's default PFI is
            used.
          schema:
            $ref: '#/components/schemas/PFIName'
      responses:
        '200':
          description: Info about available finance institutions.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InstitutionsEntity'
        '400':
          description: Request is invalid or incomplete.
      security:
        - bearer: []
components:
  schemas:
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
    PaymentMethod:
      type: string
      enum:
        - ACH
        - Wire
        - Sepa
        - Swift
        - Card
        - MobileMoney
        - PIX
        - TED
        - PSE
        - SPEI
        - COELSA
        - Transfers30
        - SPAV
        - CCE
        - SPI
        - LBTR
        - SINPE
        - Transfer365
        - NIP
        - GhIPSS
        - BankTransfer
        - EFT
        - RTP
        - BECS
        - FPS
        - IMPS_FIRC
        - Breb
        - NPSS
        - MADA
        - ZAHAV
        - IBFT
        - SIC
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Juicyway
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Demo
        - CrissCross
    InstitutionsEntity:
      type: object
      properties:
        pfiName:
          description: >-
            The PFI that produced this institution list. Slugs in
            `supportedInstitutions` are PFI-internal and only valid against this
            PFI.
          allOf:
            - $ref: '#/components/schemas/PFIName'
        country:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        paymentMethod:
          description: The payment method supported by the institutions.
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        fiat:
          description: The fiat currency for the payment.
          example: USD
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        allInstitutionsSupported:
          type: boolean
          description: >-
            Defines if the current country supports all the available
            institutions or only a limited subset. If true then all institutions
            are supported and networks field returns empty array.
        institutionIdentifier:
          type: string
          nullable: true
          description: >-
            Defines the name of the field in the payment method payload that
            should be used to identify the institution.
        supportedInstitutions:
          description: The list of supported. This field is empty if limited is false.
          type: array
          items:
            $ref: '#/components/schemas/SupportedInstitutionEntity'
      required:
        - pfiName
        - country
        - paymentMethod
        - fiat
        - allInstitutionsSupported
        - institutionIdentifier
        - supportedInstitutions
    SupportedInstitutionEntity:
      type: object
      properties:
        slug:
          type: string
          description: >-
            The ID of the network. This values is generated by borderless. You
            should provide this value as a part of payment method payload if
            applicable.
        name:
          type: string
          description: The name of the network (e.g. bank or mobile money provider).
      required:
        - slug
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````